************************************************************************
* File: strutfun.for
************************************************************************

************************************************************************
* Scopo: inserire un commento su cosa il modulo calcola
************************************************************************

       tipofunzione FUNCTION NomeFunzione (lista-parametri-formali)

* Istruzioni dichiarative
       IMPLICIT NONE

* 0. Dichiarazioni di tipo per i parametri formali
*      parametri formali di input
*      parametri formali di output
*      parametri formali di input-output

* 1. Dichiarazioni di tipo per le costanti

* 2. Definizioni ("fissaggio") di costanti (PARAMETER)

* 3. Dichiarazioni di variabili

* 4. Dichiarazioni di blocchi COMMON

* 5. Inizializzazioni di variabili (DATA)

* 6. Dichiarazioni di funzioni esterne (con commenti sui parametri)

* 7. un commento per ogni subroutine esterna usata
*    (con commenti sui parametri)

* 8. Istruzioni dichiarative funzionali (statement function)
*    (per ogni funzione: dichiarazioni tipo funzione e tipo parametri)

* Istruzioni esecutive
*   Deve essere presente almeno un'istruzione della forma:
*      NomeFunzione = valore-di-ritorno

       RETURN

* Istruzioni di formato (FORMAT)

       END
